Method: brands.agents.patch

  • When updating an agent, be sure to include the entire list for fields that accept a list as input, as updates replace the entire list.

  • The HTTP request to update an agent uses the PATCH method and targets a specific agent using its unique identifier in the URL.

  • The updateMask query parameter is used to specify the fields to be updated.

  • The request body should contain an instance of the Agent resource with the updated information.

Updates information about an agent.

HTTP request

PATCH https://businesscommunications.googleapis.com/v1/{agent.name=brands/*/agents/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
agent.name

string

The unique identifier of the agent.

Read-only. Defined by the platform.

Query parameters

Parameters
updateMask

string (FieldMask format)

The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Agent.

Response body

If successful, the response body contains an instance of Agent.